package com.elitesland.org.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("公司查询条件对象")
public class OrgOuQParam extends AbstractOrderQueryParam {
    private static final long serialVersionUID = 7061263280136121463L;

    @ApiModelProperty("公司编号")
    String code;

    @ApiModelProperty("公司名称")
    String name;

    @ApiModelProperty("公司简称")
    String abbr;

    @ApiModelProperty("字母缩写")
    String abbrAlpha;
}
